%define name perl-DBI
%define real_name DBI
%define version 1.32
%define release 1mdk

Summary:	The Perl Database Interface by Tim Bunce
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
URL:		http://www.cpan.org
Source:		ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/DBI/%{real_name}-%{version}.tar.bz2
Prefix:		%{_prefix}
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-root

%description
The Perl Database Interface (DBI) is a database access Application Programming
Interface (API) for the Perl Language. The Perl DBI API specification defines a
set of functions, variables and conventions that provide a consistent database
interface independent of the actual database being used.


%prep -q
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc Changes README ToDo
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/DBD
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/DBI
%{perl_vendorarch}/Win32
%{perl_vendorarch}/auto/DBI


%changelog
* Mon Dec 02 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.32-1mdk
- 1.32

* Sat Nov 30 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.31-1mdk
- 1.31
- added forgottent binaries

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.30-2mdk
- rebuild for perl thread-multi

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 1.30-1mdk
- 1.30.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.25-2mdk
- rebuild for perl 5.8.0

* Mon Jun 10 2002 Franois Pons <fpons@mandrakesoft.com> 1.25-1mdk
- 1.25.

* Tue May 28 2002 Franois Pons <fpons@mandrakesoft.com> 1.23-1mdk
- 1.23.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.21-1mdk
- 1.21.

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 1.20-3mdk
- added url tag.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.20-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Fri Aug 24 2001 Franois Pons <fpons@mandrakesoft.com> 1.19-1mdk
- 1.19.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.18-1mdk
- 1.18.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.14-6mdk
- Rebuild against the latest perl.

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-5mdk
- description typo fix.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-4mdk
- removed make macro (-j x gets mad with x > 1).
- simplification of files.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-3mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-2mdk
- forgot dbipport.h in files.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- added requires.
- 1.14.

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13-4mdk
- FIx build as user.

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.13-3mdk
- Fix build for i486

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13-2mdk
- fixed group
- rebuild with new perl
- fixed location

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- First specfile
